%define major_version	9.4
%define subrel 1

# exclude PHP dependencies as long as their usage is not proven
%define __requires_exclude_from ^%{_datadir}/.*$

Name:       glpi
Version:    9.4.5
%define subrel 2
Release:    %mkrel 1
Summary:    A web based park management
License:    GPLv2
Group:      Monitoring
Url:        http://www.glpi-project.org/
Source0:    https://github.com/glpi-project/glpi/releases/download/%{version}/glpi-%{version}.tgz
Source2:    glpi-fedora-autoloader.php
Source3:    glpi-downstream.php
Requires:   apache-mod_php
Requires:   php-xml
Requires:   php-mysqli
Requires:   php-mbstring
Requires:   php-htmLawed
Requires:   php-autoloader(zendframework/zend-cache)      >= 2.8
Requires:   php-autoloader(zendframework/zend-i18n)       >= 2.8
Requires:   php-autoloader(zendframework/zend-serializer) >= 2.8
Requires:   php-autoloader(zendframework/zend-console)    >= 2.7
Requires:   php-composer(iamcal/lib_autolink)       >= 1.7
Requires:   php-composer(phpmailer/phpmailer)       >= 6.0
Requires:   php-composer(sabre/vobject)             >= 4.1
Requires:   php-composer(simplepie/simplepie)       >= 1.5
Requires:   php-composer(tecnickcom/tcpdf)          >= 6.2.16
Requires:   php-composer(sebastian/diff)            >= 1.4
Requires:   php-composer(michelf/php-markdown)      >= 1.6
Requires:   php-composer(true/punycode)             >= 2.1
Requires:   php-composer(paragonie/random_compat)   >= 2.0
Requires:   php-composer(monolog/monolog)           >= 1.23
Requires:   php-composer(elvanto/litemoji)          >= 1.4 
Requires:   php-composer(leafo/scssphp)             >= 0.7.7
Recommends: php-composer(jasig/phpcas)              >= 1.3
Recommends: php-ldap
Recommends: php-xmlrpc
Recommends: php-opcache
Provides:   bundled(fontawesome-fonts) = 4.7.0
BuildArch:  noarch
# https://github.com/glpi-project/glpi/security/advisories/GHSA-rf54-3r4w-4h55
Patch1:     9f1117d1c7c87bbc188dc7823d43364139967886.patch
# https://github.com/glpi-project/glpi/security/advisories/GHSA-gxv6-xq9q-37hg
Patch2:     5a74983b5f26932e8b8b736dafa7d6d963a25e0d.patch
# https://github.com/glpi-project/glpi/security/advisories/GHSA-w7q8-58qp-vmpf
Patch3:     039c184cba0f1b564fde2d934f103910db779922.patch
# https://github.com/glpi-project/glpi/security/advisories/GHSA-3g3h-rwhr-7385
Patch4:     01189af2c1d64753719eafae15bb35f20cea759b.patch
Patch5:     d45ae18626b8b52c93c101e617318d49ae05d8b3.patch
Patch6:     6dc5cb685616f6f1ae3b484cebc818fbb9cc6ccd.patch

%description
GLPI is web based database application allowing to managed computers
and peripherals park. Its goal is to help technicians about maintenance
expiration, stock flow and license counting.

%prep
%setup -q -n glpi
%autopatch -p1

# Drop bundled Flash files
find lib -name \*.swf -exec rm {} \; -print

# fix perms
find lib -type f | xargs chmod 644

# Use system lib
rm -rf lib/htmlawed
rm -f lib/FreeSans.ttf

%install
install -d -m 755 %{buildroot}%{_datadir}/%{name}

install -m 644 COPYING.txt *.php apirest.md %{buildroot}%{_datadir}/%{name}

for i in ajax css front inc install js lib locales pics plugins scripts sound; do
    cp -ar $i %{buildroot}%{_datadir}/%{name}
done

install -d -m 755 %{buildroot}%{_datadir}/%{name}/vendor
install -m 644 %{SOURCE2} \
    %{buildroot}%{_datadir}/%{name}/vendor/autoload.php
perl -pi -e 's|##DATADIR##|%{_datadir}|' \
    %{buildroot}%{_datadir}/%{name}/vendor/autoload.php

install -m 644 %{SOURCE3} \
    %{buildroot}%{_datadir}/%{name}/inc/downstream.php

install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}
touch %{buildroot}%{_sysconfdir}/%{name}/config_db.php
touch %{buildroot}%{_sysconfdir}/%{name}/local_define.php

find %{buildroot}%{_datadir}/%{name} -name .htaccess | xargs rm -f

install -d -m 755 %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/%{name}.conf <<EOF
Alias /%{name} %{_datadir}/%{name}

<Directory %{_datadir}/%{name}>
    Require all granted
    Options None
    AllowOverride Limit Options FileInfo
</Directory>

<Directory %{_datadir}/%{name}/install>
    Require local
    php_value max_execution_time 0
    php_value memory_limit -1
</Directory>

<Directory %{_datadir}/%{name}/install/mysql>
    Require all denied
</Directory>

<Directory %{_datadir}/%{name}/inc>
    Require all denied
</Directory>

<Directory %{_datadir}/%{name}/locales>
    Require all denied
</Directory>

<Directory %{_datadir}/%{name}/scripts>
    Require all denied
</Directory>
EOF

install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/_cache
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/_cron
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/_dumps
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/_graphs
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/_lock
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/_pictures
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/_plugins
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/_rss
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/_sessions
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/_tmp
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/_uploads

install -d -m 755 %{buildroot}%{_localstatedir}/log/%{name}

install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
cat > %{buildroot}%{_sysconfdir}/logrotate.d/%{name} <<EOF
/var/log/glpi/*.log {
    notifempty
    missingok
    create 644 apache apache
}
EOF

install -d -m 755 %{buildroot}%{_sysconfdir}/cron.d
cat > %{buildroot}%{_sysconfdir}/cron.d/%{name} <<EOF
# Run cron from to execute task even when no user connected
* * * * * apache %{_bindir}/php %{_datadir}/%{name}/front/cron.php
EOF

%files
%doc CHANGELOG.md COPYING.txt README.md
%{_datadir}/%name
%config(noreplace) %{_webappconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/cron.d/%{name}
%dir %attr(-,apache,apache) %{_sysconfdir}/glpi
%ghost %config(noreplace) %{_sysconfdir}/glpi/config_db.php
%ghost %config(noreplace) %{_sysconfdir}/glpi/local_define.php
%attr(-,apache,apache) %{_localstatedir}/lib/%{name}
%attr(-,apache,apache) %{_localstatedir}/log/%{name}



%changelog
* Sun May 17 2020 neoclust <neoclust> 9.4.5-1.2.mga7
+ Revision: 1585684
- Use an higher subrel for updates
- Add patches to fix CVE-2020-1103[3-6]
+ guillomovitch <guillomovitch>
- new version 9.4.5 (#25931)

* Fri Apr 12 2019 guillomovitch <guillomovitch> 9.4.2-1.mga7
+ Revision: 1389422
- new version 9.4.2

* Fri Mar 15 2019 guillomovitch <guillomovitch> 9.4.1.1-1.mga7
+ Revision: 1377612
- new version 9.4.1.1

* Sat Feb 16 2019 guillomovitch <guillomovitch> 9.4.0-2.mga7
+ Revision: 1367545
- fix dependencies

* Tue Feb 12 2019 guillomovitch <guillomovitch> 9.4.0-1.mga7
+ Revision: 1366070
- new version 9.4.0 final

* Wed Jan 16 2019 guillomovitch <guillomovitch> 9.4.0-0.rc2.1.mga7
+ Revision: 1357308
- new version 0.9.4RC2

* Thu Nov 29 2018 guillomovitch <guillomovitch> 9.3.3-1.mga7
+ Revision: 1336756
- new version 9.3.3

* Thu Nov 01 2018 guillomovitch <guillomovitch> 9.3.2-1.mga7
+ Revision: 1327292
- new version 9.3.2
  drop obsolete 0.8.5 manual

* Thu Sep 20 2018 umeabot <umeabot> 9.3.0-2.mga7
+ Revision: 1278416
- Mageia 7 Mass Rebuild

* Thu Jul 19 2018 guillomovitch <guillomovitch> 9.3.0-1.mga7
+ Revision: 1244363
- new version 9.3.0

* Sat May 05 2018 guillomovitch <guillomovitch> 9.2.3-1.mga7
+ Revision: 1226329
- new version 9.2.3

* Tue Apr 10 2018 guillomovitch <guillomovitch> 9.2.2-1.mga7
+ Revision: 1217326
- new version 9.2.2

* Fri Dec 22 2017 guillomovitch <guillomovitch> 9.2.1-1.mga7
+ Revision: 1184059
- new version 9.2.1

* Sat Sep 30 2017 guillomovitch <guillomovitch> 9.2-3.mga7
+ Revision: 1161888
- fix dependency spelling correctly

* Sat Sep 30 2017 guillomovitch <guillomovitch> 9.2-2.mga7
+ Revision: 1161859
- fix dependency spelling

* Wed Sep 27 2017 guillomovitch <guillomovitch> 9.2-1.mga7
+ Revision: 1160721
- new version 9.2

* Mon Jul 24 2017 guillomovitch <guillomovitch> 9.1.6-1.mga7
+ Revision: 1130180
- new version 9.1.6

* Thu Apr 20 2017 guillomovitch <guillomovitch> 9.1.1-2.mga6
+ Revision: 1096902
- enforce system libs usage

* Sat Dec 31 2016 guillomovitch <guillomovitch> 9.1.1-1.mga6
+ Revision: 1078849
- new version 9.1.1

* Sun Apr 24 2016 guillomovitch <guillomovitch> 0.90.3-1.mga6
+ Revision: 1005883
- new version 0.90.3
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Dec 01 2015 guillomovitch <guillomovitch> 0.90.1-1.mga6
+ Revision: 907536
- new version 0.90.1

* Sat Nov 07 2015 guillomovitch <guillomovitch> 0.90-1.mga6
+ Revision: 898458
- new version 0.90

* Sun Oct 11 2015 guillomovitch <guillomovitch> 0.85.5-1.mga6
+ Revision: 889602
- new version 0.85.5

* Thu Jul 09 2015 guillomovitch <guillomovitch> 0.85.4-1.mga6
+ Revision: 853142
- new version 0.85.4

* Mon May 11 2015 neoclust <neoclust> 0.84.8-2.1.mga5
+ Revision: 821713
- Add patch to fix https://forge.indepnet.net/issues/5218

* Mon Jan 05 2015 guillomovitch <guillomovitch> 0.84.8-2.mga5
+ Revision: 808628
- fix SQL Injection CVE-2014-9258, using fedora patch

* Tue Oct 21 2014 guillomovitch <guillomovitch> 0.84.8-1.mga5
+ Revision: 792310
- new version 0.84.8

* Wed Oct 15 2014 umeabot <umeabot> 0.84.7-6.mga5
+ Revision: 742453
- Second Mageia 5 Mass Rebuild

* Wed Oct 08 2014 guillomovitch <guillomovitch> 0.84.7-5.mga5
+ Revision: 737601
- switch to system Zend Framework

* Fri Sep 26 2014 tv <tv> 0.84.7-4.mga5
+ Revision: 725058
- rebuild for bogus file deps

* Tue Sep 16 2014 tv <tv> 0.84.7-3.mga5
+ Revision: 689589
- fix excludes
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 guillomovitch <guillomovitch> 0.84.7-2.mga5
+ Revision: 677597
- fix automatic dependencies
- enforce system libraries usage when available
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Thu Jul 31 2014 oden <oden> 0.84.7-1.mga5
+ Revision: 658635
- 0.84.7

* Mon Jun 23 2014 guillomovitch <guillomovitch> 0.84.6-1.mga5
+ Revision: 638793
- new version 0.84.6

* Thu Feb 27 2014 guillomovitch <guillomovitch> 0.84.5-1.mga5
+ Revision: 597600
- new version 0.84.5

* Sun Feb 09 2014 guillomovitch <guillomovitch> 0.84.4-2.mga5
+ Revision: 587043
- fix automatic dependencies

* Tue Feb 04 2014 guillomovitch <guillomovitch> 0.84.4-1.mga5
+ Revision: 580535
- new version 0.84.4

* Mon Nov 04 2013 guillomovitch <guillomovitch> 0.84.3-1.mga4
+ Revision: 549431
- new version

* Sat Oct 19 2013 umeabot <umeabot> 0.84.2-2.mga4
+ Revision: 534579
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 guillomovitch <guillomovitch> 0.84.2-1.mga4
+ Revision: 478466
- new version 0.84.2

* Mon Aug 19 2013 guillomovitch <guillomovitch> 0.84-1.mga4
+ Revision: 467845
- new version

* Wed Jul 03 2013 guillomovitch <guillomovitch> 0.83.9.1-1.mga4
+ Revision: 449952
- new version

* Fri Jun 21 2013 guillomovitch <guillomovitch> 0.83.9-1.mga4
+ Revision: 445409
- new version

* Tue Apr 02 2013 guillomovitch <guillomovitch> 0.83.8-1.mga3
+ Revision: 407341
- new version

* Sat Jan 12 2013 umeabot <umeabot> 0.83.7-2.mga3
+ Revision: 351828
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 guillomovitch <guillomovitch> 0.83.7-1.mga3
+ Revision: 326880
- new version

* Wed Oct 17 2012 fwang <fwang> 0.83.6-1.mga3
+ Revision: 307432
- new version 0.83.6

* Sat Aug 25 2012 guillomovitch <guillomovitch> 0.83.4-2.mga3
+ Revision: 283964
- ship correct manual version
- fix license not displayed during install (#7157)
- fix missing php-mbstring dependency (#7157)
- fix webapp configuration file location
- make webapp configuration file compliant with apache 2.4

* Sat Aug 04 2012 guillomovitch <guillomovitch> 0.83.4-1.mga3
+ Revision: 278473
- new version

* Fri Feb 10 2012 guillomovitch <guillomovitch> 0.80.7-2.mga2
+ Revision: 206827
- ooops, use correct sources

* Fri Feb 10 2012 guillomovitch <guillomovitch> 0.80.7-1.mga2
+ Revision: 206820
- new version

* Mon Jan 09 2012 guillomovitch <guillomovitch> 0.80.6.1-1.mga2
+ Revision: 193883
- new version

* Mon Oct 31 2011 guillomovitch <guillomovitch> 0.80.5-1.mga2
+ Revision: 160534
- new version

* Wed Sep 28 2011 guillomovitch <guillomovitch> 0.80.4-1.mga2
+ Revision: 149978
- new version
- ship documentation
- small spec cleanup
- new version

* Wed Jun 29 2011 fwang <fwang> 0.80.1-1.mga2
+ Revision: 115585
- new version 0.80.1

* Tue Apr 05 2011 misc <misc> 0.78.2-2.mga1
+ Revision: 80776
- fix incorrect requires on mod_php

* Sun Mar 06 2011 ennael <ennael> 0.78.2-1.mga1
+ Revision: 65499
- clean spec file
- imported package glpi


* Sun Jan 23 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.78.2-1mdv2011.0
+ Revision: 632442
- new version

* Mon Nov 15 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.78.1-1mdv2011.0
+ Revision: 597762
- new version

* Tue Oct 12 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.78-1mdv2011.0
+ Revision: 585228
- 0.78 final

* Sat Jul 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.78-0.RC2.1mdv2011.0
+ Revision: 554588
- new version

* Wed Mar 03 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.72.4-1mdv2010.1
+ Revision: 513763
- New version
- fix License

* Tue Feb 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.72.3-4mdv2010.1
+ Revision: 510449
- don't ship .htaccess files

* Tue Feb 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.72.3-3mdv2010.1
+ Revision: 510433
- rely on filetrigger for reloading apache configuration begining with 2010.1,
  rpm-helper macros otherwise
- install everything directly under %%{_datadir}/%%{name}, and use apache
  configuration to restrict accesses

* Fri Nov 20 2009 Anne Nicolas <ennael@mandriva.org> 0.72.3-2mdv2010.1
+ Revision: 467625
- Fix #52614 in cooker

* Thu Nov 12 2009 Anne Nicolas <ennael@mandriva.org> 0.72.3-1mdv2010.1
+ Revision: 465413
- new version

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new version

* Thu Jun 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.71.6-4mdv2010.0
+ Revision: 389132
- add missing directory under GLPI_DOC_DIR (Remi Collet)

* Sun Jun 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.71.6-3mdv2010.0
+ Revision: 387919
- FHS setup, following upstream advices
  (https://dev.indepnet.net/glpi/wiki/GlpiPackaging)

* Sun Jun 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.71.6-2mdv2010.0
+ Revision: 383461
- fix dependencies

* Fri Jun 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.71.6-1mdv2010.0
+ Revision: 383021
- new version
- don't duplicate spec-helper job
- fix build dependencies

* Wed Jan 28 2009 Jérôme Soyer <saispo@mandriva.org> 0.71.5-1mdv2009.1
+ Revision: 334794
- New upstream release

* Sun Jan 04 2009 Olivier Thauvin <nanardon@mandriva.org> 0.71.3-1mdv2009.1
+ Revision: 324879
- 0.71.3

* Thu Nov 13 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.71.2-1mdv2009.1
+ Revision: 302671
- New version 0.71.2

* Tue Sep 09 2008 Olivier Thauvin <nanardon@mandriva.org> 0.71.1-1mdv2009.0
+ Revision: 283114
- 0.71.1

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.70-3mdv2009.0
+ Revision: 246211
- rebuild

* Fri Jan 04 2008 Jérôme Soyer <saispo@mandriva.org> 0.70-1mdv2008.1
+ Revision: 145053
- New release

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.68.3-1mdv2008.1
+ Revision: 136445
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Jan 22 2007 Olivier Thauvin <nanardon@mandriva.org> 0.68.3-1mdv2007.0
+ Revision: 111720
- 0.68.3

* Tue Aug 08 2006 Olivier Thauvin <nanardon@mandriva.org> 0.65-3mdv2007.0
+ Revision: 54175
- rebuild
- Import glpi

* Wed Apr 26 2006 Anne Nicolas <anne.nicolas@mandriva.com> 0.65-2mdk
- move .htaccess content in apache configuration file
- skip away annoying ^M

* Wed Apr 26 2006 Anne Nicolas <anne.nicolas@mandriva.com> 0.65-1mdk
- new version

* Wed Nov 23 2005 Olivier Thauvin <nanardon@mandriva.org> 0.6-1mdk
- Initial mandriva spec

